Subject: Re: cg-status and empty directories

From: Andreas Ericsson <[email-masked]>
Date: Mon, 27 Feb 2006 16:22:41 +0100

Jim MacBaine wrote:
> Hello,
> 
> Short story: Recently I noticed a change in the way, cogito handles
> empty directories.  Before, empty directories have been silently
> ignored. Now cg-status always lists the status of empty directories as
> unknown, but it still refuses to add them. If there is a good reason
> for this behaviour, can someone enlighten me?
> 
> Long story: I'm using cogito to track and distribute changes on the
> /etc directories of a few (almost) identical machines.  Whenever I
> install a package which modifies somthing in /etc, I commit those
> changes.  But with cg-status reporting all the empty directories as
> "unknown", my brain needs a long time to parse the list and find the
> really unknown files which shall be put under version control.
> 
> Many packages put empty directories under /etc, and although only a
> few of those directories are actually needed, the automatic removal of
> those packages will fail if I remove the empty directories manually.  
> Equally, the removal will fail, if I put a .placeholder file into
> those direrectories and cg-add it.  Is there a simple way out?
> 

I'm afraid not.

You should also note that git doesn't track permissions exactly. It just 
notices an execution bit and uses it to determine if it should write the 
working tree using (0666 ^ umask) or (0777 ^ umask). This makes it 
fairly unsuitable for /etc tracking unless you add some sort of 
permission restoring thing to it.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231